import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SportResultComponent } from './component/sport-result.component';
import { SportMixComponent } from './component/sport-mix.component';
import { MiniGameComponent } from './component/mini-game.component';
import { MiniGameSettingsComponent } from './component/mini-game-settings.component';
import { ExcelRegistComponent } from './component/excel-regist.component';
import { BetHistoryComponent } from './component/bet-history.component';
import { SettlementComponent } from './component/settlement.component';
import { ItemManagementComponent } from './component/item-management.component';
import { LeagueManagementComponent } from './component/league-management.component';
import { ExceptAutoRegistComponent } from './component/except-auto-regist.component';

const routes: Routes = [
  {
    path: 'sport-result',
    component: SportResultComponent
  },
  {
    path: 'sport-mix',
    component: SportMixComponent
  },
  {
    path: 'mini-game',
    component: MiniGameComponent
  },
  {
    path: 'mini-game-settings',
    component: MiniGameSettingsComponent
  },
  {
    path: 'excel-regist',
    component: ExcelRegistComponent
  },
  {
    path: 'bet-history',
    component: BetHistoryComponent
  },
  {
    path: 'settlement',
    component: SettlementComponent
  },
  {
    path: 'item-management',
    component: ItemManagementComponent
  },
  {
    path: 'league-management',
    component: LeagueManagementComponent
  },
  {
    path: 'except-auto-regist',
    component: ExceptAutoRegistComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class GameRoutingModule {}
