import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ServiceCenterComponent } from './component/service-center.component';
import { SendMessageComponent } from './component/send-message.component';
import { FreeBoardComponent } from './component/free-board.component';
import { BetRuleComponent } from './component/bet-rule.component';
import { PopupSetComponent } from './component/popup-set.component';
import { EventRegistComponent } from './component/event-regist.component';
import { NoticeBoardComponent } from './component/notice-board.component';
import { FreeBoardRegistComponent } from './component/free-board-regist.component';
import { PopupSetDetailComponent } from './component/popup-set-detail.component';
import { PopupSetDetailResolver } from './resolver/popup-set-detail.resolver';

const routes: Routes = [
  {
    path: 'service-center',
    component: ServiceCenterComponent
  },
  {
    path: 'send-message',
    component: SendMessageComponent
  },
  {
    path: 'free-board',
    component: FreeBoardComponent
  },
  {
    path: 'bet-rule',
    component: BetRuleComponent
  },
  {
    path: 'popup-set',
    component: PopupSetComponent
  },
  {
    path: 'popup-set/:id',
    component: PopupSetDetailComponent,
    resolve: {
      popupSet: PopupSetDetailResolver
    }
  },
  {
    path: 'event-regist',
    component: EventRegistComponent
  },
  {
    path: 'notice-board',
    component: NoticeBoardComponent
  },
  {
    path: 'free-board-regist',
    component: FreeBoardRegistComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class InfoRoutingModule {}
